IMAX(9) | NetBSD Kernel Developer's Manual | IMAX(9)

# NAME

imax, imin, lmax, lmin, max, min, ulmax, ulmin — compare integers

# SYNOPSIS

int
imax(int a, int b);

int
imin(int a, int b);

long
lmax(long a, long b);

long
lmin(long a, long b);

u_int
max(u_int a, u_int b);

u_int
min(u_int a, u_int b);

u_long
ulmax(u_long a, u_long b);

u_long
ulmin(u_long a, u_long b);

# DESCRIPTION

The imin(), lmin(), min(), and ulmin() functions return whichever argument is algebraically smaller, differing only in their argument and return types: these functions operate on, respectively, natural size, long, unsigned and unsigned long integers.

The imax(), lmax(), max(), and ulmax() functions are identical except that they return the algebraically larger argument between a and b.

# SEE ALSO

ilog2(3)

June 8, 2010 | NetBSD 5.99